using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Domain.Entities.FM
{
	/// <summary>用户组隶属角色组关系表</summary>
	[Description("用户组隶属角色组关系表")]
	[Redis("")]
	[IgnoreT4]public class T_FM_USER_GROUP_BELONG_R_G : MesEntityBase
	{

		/// <summary>用户组ID</summary>
		[Description("用户组ID")]
		public Guid USER_GROUP_ID { get; set; }


		/// <summary>所属角色组ID</summary>
		[Description("所属角色组ID")]
		public Guid BELONG_ROLE_GROUP_ID { get; set; }


		/// <summary>导航：用户组</summary>
		[Description("导航：用户组")]
		public virtual T_FM_USER_GROUP Nav_UserGroup { get; set; }


		/// <summary>导航：所属角色组</summary>
		[Description("导航：所属角色组")]
		public virtual T_FM_ROLE_GROUP Nav_BelongRoleGroup { get; set; }
	}
}
